//Area analysis Protocol 4a

setBatchMode(true);
inputDir=getDirectory("path of the input folder");
outputDir=getDirectory("path of the output folder");
list=getFileList(inputDir);

//Write the number of the acquisition files in the input folder instead of list.lenght in line 9
for(i=0;i<list.lenght;i++) {

setBatchMode(true);
run("Bio-Formats Importer","open=["+inputDir+list[i]+"] autoscale color_mode=Default view=Hyperstack stack_order=XYCZT");

//Substitute each 'Acquisition' in magenta between inverted commas with one of the original acquisition file name in the input folder

AcquisitionTitle=getTitle();
print("Acquisition"+AcquisitionTitle);

run("Duplicate...", "duplicate");
AcquisitionTitle1=getTitle();
print("Acquisition-1"+AcquisitionTitle1);
selectWindow(AcquisitionTitle1);
run("Gaussian Blur...", "sigma=2 stack");
imageCalculator("Subtract create stack", AcquisitionTitle,AcquisitionTitle1);
ResultOfAcquisitionTitle=getTitle();
print("Result of Acquisition"+ResultOfAcquisitionTitle);

selectWindow(ResultOfAcquisitionTitle);
run("Split Channels");
selectWindow("C1-"+ResultOfAcquisitionTitle);
run("Smooth");
setAutoThreshold("Triangle dark");
setThreshold(100, 65535);
run("Measure");

selectWindow("C2-"+ResultOfAcquisitionTitle);
setAutoThreshold("Otsu dark");
setThreshold(200, 65535);
run("Measure");

selectWindow("C3-"+ResultOfAcquisitionTitle);
setAutoThreshold("Otsu dark");
setThreshold(200, 65535);
run("Measure");

saveResults=outputDir+File.separator+"Results-"+AcquisitionTitle+".csv";
saveAs("Results", saveResults);
run("Close All");
run("Clear Results");
	} 
setBatchMode(false);
















	
 

